## org.apache.poi.hmef.attribute
Class TNEFMAPIAttribute

    java.lang.Object
      org.apache.poi.hmef.attribute.TNEFAttribute
          org.apache.poi.hmef.attribute.TNEFMAPIAttribute

    public final class TNEFMAPIAttribute

extends TNEFAttribute

A TNEF Attribute holding MAPI Attributes, which applies to a `HMEFMessage` or one of its `Attachment`s.

Constructor Summary
`protected` `TNEFMAPIAttribute(int id, int type, java.io.InputStream inp)` Constructs a single new mapi containing attribute from the id, type, and the contents of the stream

Method Summary
`java.util.List<MAPIAttribute>` `getMAPIAttributes()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hmef.attribute.TNEFAttribute
`create, getData, getProperty, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TNEFMAPIAttribute

    protected TNEFMAPIAttribute(int id,
                                int type,
                                java.io.InputStream inp)
                         throws java.io.IOException

  Constructs a single new mapi containing attribute from the id, type, and the contents of the stream

  Throws:
    `java.io.IOException`

Method Detail

### getMAPIAttributes

    public java.util.List<MAPIAttribute> getMAPIAttributes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TNEFAttribute`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.